#
# spec file for package tftp
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tftp
%if 0%{?suse_version} > 1110
BuildRequires:  binutils-devel
%endif
%if 0%{?suse_version}
BuildRequires:  tcpd-devel
%endif
%if 0%{?redhat_version} || 0%{?rhel_version} || 0%{?centos_version} || 0%{?sl_version} || 0%{?fedora_version}
BuildRequires:	tcp_wrappers-devel
%endif
Url:            http://www.kernel.org/pub/software/network/tftp/
License:        BSD 3-Clause
Group:          Productivity/Networking/Ftp/Clients
%if 0%{?suse_version}
Requires:       inet-daemon
%else
Requires:	inetd
%endif
Requires:	netcfg
AutoReqProv:    on
Version:        5.2
Release:        4.1
Summary:        Trivial File Transfer Protocol (TFTP)
Source:         tftp-hpa-%{version}.tar.bz2
Source1:        tftp.xinetd
Patch:          tftp-hpa-0.43_include_sys_params.patch
Patch1:         tftp-hpa-0.46_colon_check.patch
##Patch2:         tftp-hpa-0.43_readline.diff
Patch3:         tftp-hpa-0.46_libedit.patch
Patch42:        tftp-hpa-0.43_old-autoconf.diff
Patch50:	tftp-hpa-filecase.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations and for getting or saving network
component configuration files.



Authors:
--------
    H. Peter Anvin <hpa@zytor.com>

%prep
%setup -n tftp-hpa-%version
%patch
%patch1
##%patch2
%patch3
%if 0%{?suse_version} < 1030
%patch42
%endif
%patch50 -p1

%build
autoreconf -fi
%configure \
  --enable-largefile \
  --with-tcpwrappers \
  --with-remap \
  --without-readline \
  --without-editline \
  --with-ipv6
%{__make}

%install
%makeinstall INSTALLROOT="%{buildroot}" MANDIR="%{_mandir}"
%{__install} -D -m 0644 %{S:1} %{buildroot}/etc/xinetd.d/tftp

%clean
%{__rm} -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README README.security tftpd/sample.rules
%{_bindir}/tftp
%{_sbindir}/in.tftpd
%{_mandir}/man1/tftp.1.gz
%{_mandir}/man8/in.tftpd.8.gz
%{_mandir}/man8/tftpd.8.gz
%config(noreplace) /etc/xinetd.d/tftp

%changelog
* Sun Oct 14 2012 cs@linux-administrator.com
- Update to release 5.2
* Fri Jun 24 2011 cs@linux-administrator.com
- Update to release 5.1
